## accountsservice 0.6.55

=== meson_options.txt ===
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')
option('gdmconffile', type: 'string', value: '/etc/gdm/custom.conf', description: 'GDM configuration file')

option('admin_group', type: 'string', value: '', description: 'Set group for administrative accounts')
option('user_heuristics', type: 'boolean', value: true, description: 'Enable heuristics for guessing system vs. human users in the range 500-minimum-uid')
option('extra_admin_groups', type: 'array', value: [], description: 'Comma-separated list of extra groups that administrator users are part of')
option('minimum_uid', type: 'integer', value: 1000, description: 'Set minimum uid for human users')

option('systemd', type: 'boolean', value: false, description: 'Use systemd')
option('elogind', type: 'boolean', value: false, description: 'Use elogind')

option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('docbook', type: 'boolean', value: false, description: 'build documentation (requires xmlto)')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

## accountsservice 0.6.1

=== debian/changelog ===
accountsservice (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #606002).

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Jan 2011 10:14:35 +0100

=== debian/control ===
Source: accountsservice
Section: gnome
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 automake,
 autoconf,
 gnome-doc-utils,
 gnome-common,
 xmlto,
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev
Standards-Version: 3.9.1
Homepage: http://cgit.freedesktop.org/accountsservice/
Vcs-Git: git://git.debian.org/collab-maint/accountsservice.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: gnome-control-center
Description: query and manipulate user account information
 The accountsservice project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	NOCONFIGURE=y ./autogen.sh
	dh_auto_configure

# Disabled to avoid FTBFS
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## accountsservice 0.6.12

=== debian/changelog ===
accountsservice (0.6.12-5) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Add missing Breaks/Replaces: to
    gir1.2-accountsservice-1.0 for the package renaming.

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 09:18:25 +0200

accountsservice (0.6.12-4) unstable; urgency=low

  * Fix mistake in the name of a runtime package:
    - Rename gir1.2-accountservice-1.0 to gir1.2-accountsservice-1.0.
    - Introduce a transitional dummy package for a tiny-and-smooth transition.
  * Enable parallel building.

 -- Alessio Treglia <alessio@debian.org>  Thu, 30 Jun 2011 10:38:40 +0200

accountsservice (0.6.12-3) unstable; urgency=low

  * Add accountsservice.{postinst,prerm} scripts to properly shut down
    the daemon on package upgrade and removal (Closes: #630577);
    thanks to Rodrigo Moya for the patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Jun 2011 11:09:34 +0200

accountsservice (0.6.12-2) unstable; urgency=low

  * Disable 0005-gdm_config_file_path.patch in debian/patches/ubuntu.series as
    it doesn't apply to Ubuntu.
  * On Ubuntu apply 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch
    instead of 0002-create-and-manage-groups-like-on-a-debian-system.patch

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Jun 2011 12:40:37 +0200

accountsservice (0.6.12-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update symbols.
  * Fix path to the GDM configuration file, which is different
    in Debian (Closes: #627311).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 May 2011 10:21:10 +0200

accountsservice (0.6.10-1) unstable; urgency=low

  * New upstream release:
    - An assortment of race fixes.
    - Translation updates.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 13:02:07 +0200

accountsservice (0.6.9-2) unstable; urgency=low

  * Small change to reload_ck_history in order to make accountsservice
    filter by 'x11' session type (Closes: #624474);
    thanks to Josselin Mouette for the report and patch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 20:03:07 +0200

accountsservice (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 08:20:11 +0200

accountsservice (0.6.8-2) unstable; urgency=low

  * Upload to unstable.
  * Add patch to prevent crash due to getpwnam returning a NULL pointer.
    Thanks to Mattias Eriksson for the patch.
  * Add symbols file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 11:01:37 +0200

accountsservice (0.6.8-1) experimental; urgency=low

  * Imported Upstream version 0.6.8.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Apr 2011 09:51:48 +0200

accountsservice (0.6.6-4) experimental; urgency=low

  [ Josselin Mouette ]
  * 0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - fixed  to not add user to useless group, and to use sudo instead of
      admin (Closes: #619914).

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Mar 2011 11:44:39 +0200

accountsservice (0.6.6-3) experimental; urgency=low

  * Pass systemd unit dir to the configure script to properly provide
    service file (Closes: #619796); thanks to Alban Browaeys for the
    report.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Mar 2011 10:11:39 +0200

accountsservice (0.6.6-2) experimental; urgency=low

  * Rename 0001-buildsystem.patch -> 1001-buildsystem.patch
  * Match Debian user/groups system;
    thanks to Frederic Peters for the patchset (Closes: #618764):
    - 0001-do-not-consider-system-users-returned-from-consolekit.patch.
    - 0002-create-and-manage-groups-like-on-a-debian-system.patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 10:39:28 +0100

accountsservice (0.6.6-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Mar 2011 10:28:02 +0100

accountsservice (0.6.5-2) experimental; urgency=low

  * Switch libaccountsservice-dev to architecture 'any';
    also closes: #618643.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 Mar 2011 11:20:19 +0100

accountsservice (0.6.5-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * Switch to dh-autoreconf.
  * Provide po/Makefile.in.in
  * Don't build static libraries
  * Split files in several packages:
    - accountsservice to provide the runtime service files.
    - libaccountsservice0 to provide the shared libraries.
    - libaccountsservice-dev to provide the development files.
    - gir1.0-accountservice-1.0 to provide GObject introspection
      data files.

 -- Alessio Treglia <alessio@debian.org>  Sun, 13 Mar 2011 11:10:25 +0100

=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 gir1.2-freedesktop,
 gir1.2-glib-2.0,
 gnome-doc-utils,
 gobject-introspection (>= 0.9.12-4~),
 intltool,
 libdbus-glib-1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 xmlto
Standards-Version: 3.9.2
Homepage: http://cgit.freedesktop.org/accountsservice/
Vcs-Git: git://git.debian.org/collab-maint/accountsservice.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends: ${shlibs:Depends},
 libaccountsservice0 (= ${binary:Version}),
 dbus,
 ${misc:Depends}
Suggests: gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Depends: libaccountsservice0 (= ${binary:Version}),
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev,
 libglib2.0-dev (>= 2.25.11),
 libgirepository1.0-dev (>= 0.9.12),
 ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Replaces: gir1.2-accountservice-1.0 (<< 0.6.12-4)
Breaks: gir1.2-accountservice-1.0 (<< 0.6.12-4)
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: gir1.2-accountservice-1.0
Section: libs
Architecture: all
Depends: gir1.2-accountsservice-1.0,
 ${misc:Depends}
Description: GObject introspection data for AccountService (dummy package)
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This is a dummy transitional package and it may be safely removed after
 the installation.

## accountsservice 0.6.13

=== debian/changelog ===
accountsservice (0.6.13-1) unstable; urgency=low

  * New upstream release:
    - honor aclocal flags environment variable
    - set log domain so it can be hushed
    - use wtmp instead of consolekit for determining login frequency
      + Use the POSIX wtmpx database instead of ConsoleKit as source for
        calculating login frequency. This is more portable and much
        simpler. Also, it allows us to prepare accountsservice for the
        post-CK times. (upstream bug: https://bugs.freedesktop.org/39295)
    - leak and warning fixes
    - clean up polkit deprectation warnings
    - add '--' before username to account helper programs
  * Dropped patches (they don't apply for now):
    - 0001-do-not-consider-system-users-returned-from-consolekit.patch
    - 0003-getpwnam_null_crash.patch
    - 0004-history-filter-sessions.patch
  * Refreshed:
    - 0002-create-and-manage-groups-like-on-a-{debian,ubuntu}-system.patch
    - 0005-gdm_config_file_path.patch
  * Update symbols.
  * debian/patches/0006-adduser_instead_of_useradd.patch
    - Replace useradd with adduser to comply with Debian Policy.
      In collaboration with Ubuntu, thanks to Sebastien Bacher and other
      Ubuntu guys (LP: #810907).
  * Remove the dummy package gir1.2-accountservice-1.0, the previous version
    has already reached Wheezy and there is no reverse dependencies.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Jul 2011 12:17:33 +0200

=== debian/control ===
--- 
+++ 
@@ -81,17 +81,3 @@
  .
  This package provides the introspection data for the
  AccountService library.
-
-Package: gir1.2-accountservice-1.0
-Section: libs
-Architecture: all
-Depends: gir1.2-accountsservice-1.0,
- ${misc:Depends}
-Description: GObject introspection data for AccountService (dummy package)
- The AccountService project provides a set of D-Bus
- interfaces for querying and manipulating user account
- information and an implementation of these interfaces,
- based on the useradd, usermod and userdel commands.
- .
- This is a dummy transitional package and it may be safely removed after
- the installation.

## accountsservice 0.6.14

=== debian/changelog ===
accountsservice (0.6.14-1) unstable; urgency=low

  * New upstream release:
    - ignore extraneous SetAutomaticLogin(false) calls for a user
    - monitor /etc/gdm/custom.conf for changes in autologin config
    - fix fast user switching
    - fix docs to build
    - translation updates
  * Refresh Debian's series of patches.
  * Refresh Ubuntu's series of patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 23:55:45 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src:debian/libaccountsservice-dev/usr/share/gir-1.0

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-static=no \
		--with-systemdsystemunitdir=/lib/systemd/system

# Disabled to avoid FTBFS
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## accountsservice 0.6.15

=== debian/changelog ===
accountsservice (0.6.15-2ubuntu9.6.1) precise-security; urgency=low

  * No change rebuild in security pocket to fix language-selector
    when the updates pocket isn't enabled. (LP: #1231529)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Oct 2013 11:10:22 -0400

accountsservice (0.6.15-2ubuntu9.6) precise-proposed; urgency=low

  * debian/patches/0010-set-language.patch:
    Run user_HOME_available() as user in order to prevent incorrect
    failures when HOME is on NFS (LP: #1083605, LP: #1156670).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 19 Mar 2013 08:32:00 +0100

accountsservice (0.6.15-2ubuntu9.5) precise-proposed; urgency=low

  * debian/patches/0009-language-tools.patch:
    Prevent language-options from listing items that don't correspond
    with an installed langpack, even if there is a matching locale
    (LP: #1134364).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 27 Feb 2013 15:48:00 +0100

accountsservice (0.6.15-2ubuntu9.4) precise-proposed; urgency=low

  * 0010-set-language.patch: Fix saving of language selection if ~/.profile
    does not exist. (LP: #1018621)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 25 Sep 2012 12:14:17 +0200

accountsservice (0.6.15-2ubuntu9.3) precise-proposed; urgency=low

  * debian/accountsservice.postinst:
    - don't try restarting the service from the maintainer script after 
      upgrades, it leads to some issues and shouldn't be needed since
      it will be dbus reactivated when needed (lp: #1021293)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jul 2012 19:26:09 +0200

accountsservice (0.6.15-2ubuntu9.2) precise-proposed; urgency=low

  * debian/patches/git_object_path_type.patch:
    - user correct object_path type, should fix issues with the users
      being incorrectly listed in lightdm or the user panel on powerpc
      or arm for example (lp: #952909)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2012 17:09:17 +0200

accountsservice (0.6.15-2ubuntu9.1) precise-security; urgency=low

  * SECURITY UPDATE: race condition with UID lookup
    - debian/patches/CVE-2012-2737.patch: use bus daemon to query peer
      credentials in src/util.c.
    - CVE-2012-2737

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Jun 2012 11:50:21 -0400

accountsservice (0.6.15-2ubuntu9) precise; urgency=low

  * 0009-language-tools.patch: Also include LC_IDENTIFICATION, to comply to
    how Ubiquity sets the locale. (LP: #926207)
  * debian/accountsservice.postinst: Also migrate LC_IDENTIFICATION. Bump
    version comparison to this version to ensure the migration happens after
    Ubiquity got fixed, and include the new variable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Mar 2012 07:31:53 +0200

accountsservice (0.6.15-2ubuntu8) precise; urgency=low

  * debian/patches/0010-set-language.patch:
    - Call for setlocale() in the user_locale_validate() function in
      src/user.c replaced with 'locale -a' to allow a newly generated
      locale to be instantly used for regional formats (LP: #930785).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 16 Feb 2012 14:43:00 +0100

accountsservice (0.6.15-2ubuntu7) precise; urgency=low

  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages support for LightDM's benefit.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 15 Feb 2012 11:55:11 -0500

accountsservice (0.6.15-2ubuntu6) precise; urgency=low

  * debian/libaccountsservice0.symbols:
    - Fix version of act_user_set_x_keyboard_layouts to not refer to PPA
      suffix

 -- Michael Terry <mterry@ubuntu.com>  Mon, 13 Feb 2012 13:29:58 -0500

accountsservice (0.6.15-2ubuntu5) precise; urgency=low

  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts,
      largely for LightDM's benefit.  LP: #915468

 -- Michael Terry <mterry@ubuntu.com>  Fri, 10 Feb 2012 22:48:39 -0500

accountsservice (0.6.15-2ubuntu4) precise; urgency=low

  * debian/patches/git-icon-reset.patch:
    - let users reset their profile icon in gnome-control-center (lp: #927635)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Feb 2012 18:00:45 +0100

accountsservice (0.6.15-2ubuntu3) precise; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/patches/0001-formats-locale-property.patch and
    debian/libaccountsservice0.symbols:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch:
    - Make SetLanguage() and SetFormatsLocale() write to
      ~/.pam_environment instead of ~/.profile (LP: #866062).
    - Make the LANG variable, which up to now has represented regional
      formats, denote the display language instead (LP: #877610).
  * debian/patches/0010-set-language.patch:
    - If the Language or FormatsLocale property is not yet set when
      queried, respond with a sensible, dynamically generated fallback
      value.
    - Code added for migrating ~/.profile environment settings to
      ~/.pam_environment.
    - Don't alter any settings if SetLanguage is called from a language
      chooser on the greeter and /home is encrypted or not yet mounted.
    - Misc. code refactoring.
  * debian/accountsservice.postinst:
    - Modify /etc/default/locale and /etc/environment due to a changed
      meaning of the LANG environment variable.

  [ Martin Pitt ]
  * debian/accountsservice.postinst: Only run the LANG migration when
    upgrading to this version. Also, slightly improve the call to grep.
  * debian/libaccountsservice0.symbols: Fix versions of symbols from
    0001-formats-locale-property.patch.
  * debian/libaccountsservice0.symbols: Add new symbols from 0.6.15-2ubuntu1.
  * debian/accountsservice.postinst: In the LANG migration, do not add all the
    variables to a file which doesn't define LANG, so that we don't repeat
    them in /etc/environment when they are already in /etc/default/locale.



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  gir1.2-freedesktop,

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_install:
+	dh_install
+	# patch is only applied conditionally, only install when present
+	if [ -d debian/tmp/usr/share/language-tools ]; then \
+	    cp -r debian/tmp/usr/share/language-tools debian/accountsservice/usr/share/; \
+	fi

## accountsservice 0.6.21

=== debian/changelog ===
accountsservice (0.6.21-8) unstable; urgency=low

  * debian/patches/0007-add-lightdm-support.patch
    - Properly set gdm3's configuration directory in order to
      fix autologin settings when gdm3 is used as default login
      manager. Thanks to Jean-Peer Lorenz (Closes: #680786)

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Jan 2013 13:45:12 +0000

accountsservice (0.6.21-7) unstable; urgency=low

  [ Simon McVittie ]
  * Don't free ActUserManagerNewSession objects until any pending
    asynchronous calls to set up the new session have completed or
    finished being cancelled (Closes: #688413, #683092)

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Nov 2012 11:16:15 +0000

accountsservice (0.6.21-6) unstable; urgency=high

  * CVE-2012-2737: Add patch to prevent race condition with UID
    lookup (Closes: #679429):
    - src/u{ser,til}.c: Use bus daemon to query peer credentials.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jul 2012 17:04:54 +0200

accountsservice (0.6.21-5) unstable; urgency=medium

  * Add patch grabbed from upstream git to fix memory leaks in
    src/libaccountsservice/act-user.c. Set urgency to medium since the
    package has already migrated to testing.

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Jun 2012 12:46:22 +0200

accountsservice (0.6.21-4) unstable; urgency=low

  * Manage pending consolekit calls with GtkCancellable to fix SIGSEGV
    in libaccountsservice. (Closes: #673185)

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jun 2012 09:02:33 +0200

accountsservice (0.6.21-3) unstable; urgency=low

  * Strip SystemdService out of org.freedesktop.Accounts.service
    service file. (Closes: #675925)

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Jun 2012 15:09:19 +0200

accountsservice (0.6.21-2) unstable; urgency=low

  * Disable systemd support:
    - Let accountsservice build on non-Linux (Closes: #674433)
    - Attempt to solve #673185

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 22:59:49 +0200

accountsservice (0.6.21-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add libaccountsservice-dbg package.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 May 2012 17:23:55 +0200

accountsservice (0.6.18-3) unstable; urgency=low

  * Revert upstream commit 552a0c856a6e3a7c2e6450ab80e79f4204062281
    and then fix a regression introduced since 0.6.16:
    - Filter out users which have UIDs lower than UID_MIN specified
      in etc/login.defs instead of checking if they have
      /usr/sbin/nologin as login shell. (Closes: #673095)
    Thanks to Michael Biebl for the report.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 09:52:58 +0200

accountsservice (0.6.18-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 May 2012 07:48:08 +0200

accountsservice (0.6.18-1) experimental; urgency=low

  * Upload to experimental due to the big amount of changes.
  * Imported Upstream version 0.6.18:
    - Fix systemd configure check
    - Add a few more common system accounts to the blacklist
    - Fix some issues in systemd session handling
  * Imported Upstream version 0.6.17:
    - Fix user filtering which was broken in 0.6.16.
    - Fix double free in user code.
  * Imported Upstream version 0.6.16:
    - Don't filter out users below UID_MIN in login.defs
    - Filter out users with invalid shells
    - build fixes for srcdir != builddir
    - Port to GDBus
    - Add systemd support
    - vala support and introspection fixes
    - ppc32 fixes
    - use infinite timeout for ListCachedUsers calls
    - Translation updates
  * Migrate 0007-add-lightdm-support.patch to GDBus:
    - More testing would be appreciated.
  * Remove 2001-icon_reset.patch, applied upstream.
  * Remove 3001-show_more_than_one_user_powerpc.patch, applied upstream.
  * Remove obsolete patches:
    - 0003-getpwnam_null_crash.patch
    - 0004-history-filter-sessions.patch
  * Refresh systemd's build-deps.
  * Drop {,build-}dependency on libdbus-glib-1-dev.
  * Refresh symbols.
  * Refresh debian/copyright.
  * Update debian/watch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Apr 2012 13:19:46 +0200

accountsservice (0.6.15-4) unstable; urgency=low

  * src/user.c: Be more careful when resetting the users icons
    - When the current icon is in /usr/share, and we reset the icon, we try
      to delete a nonexisting icon file in /var/lib/AccountsService/icons.
      Deal with this eventuality.
  * fix compute_object_path on powerpc (Closes: #635168)
    - long isn't necessarily 64bit.  On big endian architectures, where it's
      smaller than 64bit, the compute_object_path function will get computed
      incorrectly; thanks to Ray Strode and Michel Dänzer.
  * Apply 2001-icon_reset.patch,3001-show_more_than_one_user_powerpc.patch on
    Ubuntu too.
  * Integrate Ubuntu patches and apply them in debian/patches/ubuntu.series
    (for Ubuntu only):
    - 0001-formats-locale-property.patch
    - 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch
    - 0005-gdm_config_file_path_ubuntu.patch
    - 0008-nopasswdlogin-group.patch
    - 0009-language-tools.patch
    - 0010-set-language.patch
    - 0011-add-background-file-support.patch
    - 0012-add-keyboard-layout-support.patch
    - 0013-add-has-message-support.patch

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 00:37:07 +0100

accountsservice (0.6.15-3) unstable; urgency=low

  * Move GIR package into the new section "introspection".
  * debian/patches/0011-add-background-file-support.patch
    - Add support for a BackgroundFile property, similar to IconFile.
      Apply on Ubuntu only. (LP: #844081)
  * Fix file permissions bypass (LP: #904395), applies on Ubuntu only:
    - debian/patches/0010-set-language.patch:
      Drop privileges before letting help scripts in
      /usr/share/language-tools write to $HOME.
    - debian/patches/0009-language-tools.patch:


=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 gir1.2-freedesktop,
 gir1.2-glib-2.0,
 gnome-doc-utils,
 gobject-introspection (>= 0.9.12-4~),
 intltool,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 xmlto
Standards-Version: 3.9.3
Homepage: http://cgit.freedesktop.org/accountsservice/
Vcs-Git: git://git.debian.org/collab-maint/accountsservice.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends:
 dbus,
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Depends:
 libaccountsservice0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Breaks:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends}
Description: query and manipulate user account information - debug
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the debugging symbols for the
 AccountService library.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-static=no \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		--enable-static=no
 
 # Disabled to avoid FTBFS
 override_dh_auto_test:
@@ -27,3 +26,7 @@
 	if [ -d debian/tmp/usr/share/language-tools ]; then \
 	    cp -r debian/tmp/usr/share/language-tools debian/accountsservice/usr/share/; \
 	fi
+
+override_dh_strip:
+	dh_strip -plibaccountsservice0 --dbg-package=libaccountsservice-dbg
+	dh_strip --remaining-packages

## accountsservice 0.6.29

=== debian/changelog ===
accountsservice (0.6.29-1ubuntu8) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Take /usr/local/share/locale into account when generating the list
    of language options (LP: #1159496).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 29 Mar 2013 06:19:34 +0100

accountsservice (0.6.29-1ubuntu7) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    - Code for migration from ~/.profile to ~/.pam_environment dropped. This
      was done in 12.04 LTS already.
  * debian/patches/0010-set-language.patch:
    - Code for parsing /etc/default/locale made able to deal with both
      quoted and non-quoted entries (LP: #1159290).
    - Code for migration from ~/.profile to ~/.pam_environment dropped. This
      was done in 12.04 LTS already.
    - A couple of memory leaks fixed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 24 Mar 2013 20:33:00 +0100

accountsservice (0.6.29-1ubuntu6) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Set the PAPERSIZE env. variable in ~/.pam_environment, since
    LC_PAPER is ignored by many apps (LP: #1130690).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 21 Feb 2013 23:53:00 +0100

accountsservice (0.6.29-1ubuntu5) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Prevent language-options from listing items that don't correspond
    with an installed langpack, even if there is a matching locale
    (LP: #960314).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 30 Jan 2013 02:10:00 +0100

accountsservice (0.6.29-1ubuntu4) raring; urgency=low

  * debian/patches/0010-set-language.patch:
    Run user_HOME_available() as user in order to prevent incorrect
    failures when HOME is on NFS (LP: #1083605).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 23 Jan 2013 08:19:27 -0500

accountsservice (0.6.29-1ubuntu3) raring; urgency=low

  [ Albert Astals Cid ]
  * debian/patches/0007-add-lightdm-support.patch:
    - Fix reporting of autologin setting for users when using lightdm
      (LP: #1043349)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 14:11:08 -0500

accountsservice (0.6.29-1ubuntu2) raring; urgency=low

  * debian/control: build-depends on valac

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Nov 2012 21:49:16 +0100

accountsservice (0.6.29-1ubuntu1) raring; urgency=low

  * Resync on Debian, remaining diffs:
  * debian/accountsservice.postinst:
    - don't try restarting the service from the maintainer script after 
      upgrades, it leads to some issues and shouldn't be needed since
      it will be dbus reactivated when needed (lp: #1021293)
  * debian/libaccountsservice-dev.install:
    - install vala directory
  * debian/patches/0001-formats-locale-property.patch:
    - readded bit of the patch that seems to not be in the debian version
  * debian/patches/0002-create-and-manage-groups-like-on-a-ubuntu-system.patch:
    - updated to gdbus
  * debian/patches/0005-gdm_config_file_path.patch
    - drop patch since it breaks setting automatic login. (LP: #1059090)
  * debian/patches/0007-add-lightdm-support.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0008-nopasswdlogin-group.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0009-language-tools.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0010-set-language.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0011-add-background-file-support.patch:
    - updated for the gdbus codebase
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - updated for the gdbus codebase
  * debian/patches/0013-add-has-message-support.patch:
    - updated for the gdbus codebase
  * debian/patches/git_correct_32bit_type.patch:
    - backport upstream fix for a 32bit segfault issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2012 19:00:43 +0200

accountsservice (0.6.29-1) experimental; urgency=low

  * New upstream release:
    - Changes since 0.6.25:
      + Uninitialized variable fix
      + Typo fix
      + Create data dirs just-in-time
      + Ignore closing sessions for is_logged_in test
      + Disable NULL user for delete_user call
      + Translation updates
    - Changes since 0.6.26:
      + Require libsystemd-login 186
      + Protect against deleting root user
      + Add LoginTime and LoginHistory properties
      + fix crash consolekit code
      + fix has_multiple_user property after removing user
    - Changes since 0.6.27:
      + Fix warnings when the singleton user manager object is finalized
      + Generated docs for libaccountsservice
      + Initialize local_acount to TRUE
      + Add async api for user creation, caching and deletion
    - Changes since 0.6.28:
      + Fix act_user_manager_delete_user_finish
      + Fix handling of LoginTime and LoginHistory properties
    - Changes since 0.6.29:
      + Translate D-Bus errors to local errors in libaccountsservice
      + Fix a wrong property name n the login history support
  * Refresh patches.
  * Update symbols control file.
  * Don't build gtk-docs for now.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Oct 2012 16:10:45 +0100

accountsservice (0.6.24-1) experimental; urgency=low

  * New upstream release:
    - add User.Local property for identifying local users
    - Fix up some debug output
    - add new CacheUser and UncacheUser apis
    - uncache user before deleting user
    - Correct CVE-2012-2737, local file disclosure
    - small memory leak fix
    - exclude system accounts from ListCachedUsers
    - make has-multiple-users properly only check non-system users
    - remove icon when deleting user
    - Revert usage of getpwent() as fallback for fgetpwent
    - support consolekit call cancellation to prevent crashes caused
      by shortlived sessions
  * Refresh patches, removed those applied upstream:
    - 9001-manage_pending_ck_calls_with_cancellable.patch


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-autoreconf,
@@ -13,7 +14,8 @@
  libgirepository1.0-dev (>= 0.9.12),
  libglib2.0-dev (>= 2.25.11),
  libpolkit-gobject-1-dev,
- xmlto
+ xmlto,
+ valac
 Standards-Version: 3.9.3
 Homepage: http://cgit.freedesktop.org/accountsservice/
 Vcs-Git: git://git.debian.org/collab-maint/accountsservice.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 %:
 	dh $@ --parallel --with autoreconf
+
+override_dh_autoreconf:
+	rm -f gtk-doc.make
+	echo 'EXTRA_DIST =' > gtk-doc.make
+	echo 'CLEANFILES =' >> gtk-doc.make
+	dh_autoreconf
 
 override_dh_shlibdeps:
 	dh_shlibdeps

## accountsservice 0.6.34

=== debian/changelog ===
accountsservice (0.6.34-0ubuntu6) saucy; urgency=low

  * Fix various memory leaks. References:
    - https://bugzilla.redhat.com/show_bug.cgi?id=1000364
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=723745

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 21 Sep 2013 23:24:14 +0100

accountsservice (0.6.34-0ubuntu5) saucy; urgency=low

  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.

 -- William Hua <william.hua@canonical.com>  Wed, 31 Jul 2013 12:44:00 -0400

accountsservice (0.6.34-0ubuntu4) saucy; urgency=low

  * Move gtk-doc-tools to Build-Depends from Build-Depends-Indep.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Jul 2013 16:13:05 +0100

accountsservice (0.6.34-0ubuntu3) saucy; urgency=low

  * Merge some changes from Debian:
    - Bump build-deps on glib-2.0 >= 2.34.
    - Add gtk-doc-tools to Build-Depends-Indep.
    - Build libaccountsservice's documentation
    - Bump Standards
    - Fix VCS canonical URLs.
    - Refresh some patches
  * Don't build-depend on gnome-doc-utils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 27 Jul 2013 23:18:48 -0400

accountsservice (0.6.34-0ubuntu2) saucy; urgency=low

  * debian/patches/0015-pam-pin-ubuntu.patch:
    - Split Ubuntu integration changes to 0014-pam-pin.patch out into a
      a separate patch to make it easier to update 0014 from the upstream
      bug as needed.
    - Fix setting password via DBus (LP: #1195021)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 Jul 2013 15:06:53 -0400

accountsservice (0.6.34-0ubuntu1) saucy; urgency=low

  * New upstream version
  * Refreshed patches
  * debian/libaccountsservice0.symbols:
    - updated for the new version (and some of the previous ones)
  * debian/patches/0014-pam-pin.patch:
    - updated to fix a double free issue
  * debian/patches/git_custom_interfaces.patch,
    debian/patches/git_hold_keyfiles.patch:
    - support for adding custom settings, thanks Ryan Lortie
  * debian/patches/2001-filtering_out_users.patch:
    - updated with a patch proposed upstream, thanks Ryan

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Jun 2013 15:42:50 +0200

accountsservice (0.6.29-1ubuntu10) saucy; urgency=low

  * debian/patches/0014-pam-pin.patch:
    - Add experimental PAM module for PIN codes.  Patch mostly by
      Giovanni Campagna from upstream bug.  Ideally will be useful
      for phablets that want to show a PIN unlock screen.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 06 May 2013 21:17:43 -0400

accountsservice (0.6.29-1ubuntu9) saucy; urgency=low

  * Add git_logind_check.patch: Check for logind, not for systemd.
  * Switch from ConsoleKit to to logind.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Apr 2013 11:24:49 -0700

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,25 @@
  debhelper (>= 7.0.50~),
  dh-autoreconf,
  gir1.2-freedesktop,
- gir1.2-glib-2.0,
- gnome-doc-utils,
+ gir1.2-glib-2.0 (>= 1.34),
  gobject-introspection (>= 0.9.12-4~),
+ gtk-doc-tools,
  intltool,
+ libgcr-3-dev,
+ libgcrypt11-dev,
  libgirepository1.0-dev (>= 0.9.12),
- libglib2.0-dev (>= 2.25.11),
+ libglib2.0-dev (>= 2.34),
+ libgnutls-dev,
+ libpam0g-dev,
  libpolkit-gobject-1-dev,
- xmlto,
- valac
-Standards-Version: 3.9.3
+ libsystemd-login-dev (>= 186),
+ libsystemd-daemon-dev,
+ valac,
+ xmlto
+Standards-Version: 3.9.4
 Homepage: http://cgit.freedesktop.org/accountsservice/
-Vcs-Git: git://git.debian.org/collab-maint/accountsservice.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/accountsservice.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/accountsservice.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git
 
 Package: accountsservice
 Architecture: any
@@ -106,3 +112,25 @@
  .
  This package provides the debugging symbols for the
  AccountService library.
+
+Package: libaccountsservice-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends}
+Description: query and manipulate user account information - documentation
+ The AccountService project provides a set of D-Bus
+ interfaces for querying and manipulating user account
+ information and an implementation of these interfaces,
+ based on the useradd, usermod and userdel commands.
+ .
+ This package provides the developers reference for the
+ AccountService library.
+
+Package: libpam-pin
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: PAM module for using a PIN code
+ A Pluggable Authentication Module for PIN codes.  Useful for presenting a
+ different interface for PIN codes than passwords.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,15 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 LDFLAGS+=-Wl,--as-needed
 
 %:
 	dh $@ --parallel --with autoreconf
-
-override_dh_autoreconf:
-	rm -f gtk-doc.make
-	echo 'EXTRA_DIST =' > gtk-doc.make
-	echo 'CLEANFILES =' >> gtk-doc.make
-	dh_autoreconf
 
 override_dh_shlibdeps:
 	dh_shlibdeps
@@ -18,6 +17,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-gtk-doc \
+		--enable-systemd \
 		--enable-static=no
 
 # Disabled to avoid FTBFS

## accountsservice 0.6.35

=== debian/changelog ===
accountsservice (0.6.35-0ubuntu7) trusty; urgency=medium

  * debian/patches/0007-add-lightdm-support.patch: 
    - updated to not keep polling on an inexistant gdm (or lightdm)
      configurations, fixed the code checking if gdm is running as well 
      (thanks Lars for hints on how to do that one correctly) (lp: #1234289)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Jan 2014 18:09:20 +0100

accountsservice (0.6.35-0ubuntu6) trusty; urgency=low

  [ Tim Lunn ]
  * debian/gir1.2-accountsservice-1.0.install: Don't install typelib
    file to multiarch path (LP: #1260880)

  [ Rico Tzschichholz ]
  * Don't multiarch gir1.2-accountsservice-1.0 (LP: #1260604)
  * Add gir1.2-accountsservice-1.0 to libaccountsservice-dev depends.

 -- Tim Lunn <tim@feathertop.org>  Sat, 14 Dec 2013 09:38:23 +1100

accountsservice (0.6.35-0ubuntu5) trusty; urgency=low

  * debian/patches/0017-clean-up-cache-dir.patch:
    Remove only if errno is zero, and then remove the icon as well.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 12 Dec 2013 23:09:00 +0100

accountsservice (0.6.35-0ubuntu4) trusty; urgency=low

  * Remove pointless dependency on libgirepository1.0-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 17:10:10 +0000

accountsservice (0.6.35-0ubuntu3) trusty; urgency=low

  * Bump debian/compat to 9.
  * Convert to multiarch (LP: #1260370).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 16:07:54 +0000

accountsservice (0.6.35-0ubuntu2) trusty; urgency=low

  [ Robert Ancell ]
  * debian/patches/0017-clean-up-cache-dir.patch:
    Remove user cache files if user account no longer exists
    (LP: #1259562).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 11 Dec 2013 14:22:00 +0100

accountsservice (0.6.35-0ubuntu1) trusty; urgency=low

  * New upstream version
  * Refreshed the patches
  * debian/control:
    - don't build-depends on valac
    - updated glib requirement
  * debian/libaccountsservice-dev.install:
    - don't install the vapi, upstream dropped it
  * debian/patches/git_hold_keyfiles.patch,
    debian/patches/git_custom_interfaces.patch,
    debian/patches/2001-filtering_out_users.patch:
    - dropped, the changes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Nov 2013 15:15:40 +0100

accountsservice (0.6.34-0ubuntu7) trusty; urgency=low

  * debian/patches/0009-language-tools.patch:
    Don't try to maintain a LANGUAGE priority list if
    language-selector-gnome is not present (LP: #1240058).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 03 Nov 2013 23:38:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-autoreconf,
+ dh-exec,
  gir1.2-freedesktop,
  gir1.2-glib-2.0 (>= 1.34),
  gobject-introspection (>= 0.9.12-4~),
@@ -14,13 +15,12 @@
  libgcr-3-dev,
  libgcrypt11-dev,
  libgirepository1.0-dev (>= 0.9.12),
- libglib2.0-dev (>= 2.34),
+ libglib2.0-dev (>= 2.37.3),
  libgnutls-dev,
  libpam0g-dev,
  libpolkit-gobject-1-dev,
  libsystemd-login-dev (>= 186),
  libsystemd-daemon-dev,
- valac,
  xmlto
 Standards-Version: 3.9.4
 Homepage: http://cgit.freedesktop.org/accountsservice/
@@ -45,6 +45,7 @@
 Package: libaccountsservice0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -62,9 +63,10 @@
 Package: libaccountsservice-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
+ gir1.2-accountsservice-1.0 (= ${binary:Version}),
  libaccountsservice0 (= ${binary:Version}),
- libgirepository1.0-dev (>= 0.9.12),
  libglib2.0-dev (>= 2.25.11),
  libpolkit-gobject-1-dev,
  ${misc:Depends}
@@ -80,6 +82,7 @@
 Package: gir1.2-accountsservice-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${gir:Depends},
  ${misc:Depends},
@@ -101,6 +104,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends:
  libaccountsservice0 (= ${binary:Version}),
  ${misc:Depends}
@@ -129,6 +133,7 @@
 
 Package: libpam-pin
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: PAM module for using a PIN code

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-systemd \
-		--enable-static=no
+		--enable-static=no \
+		--libexecdir=/usr/lib/accountsservice
 
 # Disabled to avoid FTBFS
 override_dh_auto_test:
